org.eclipse.wst.jsdt.chromium.debug.core.util

## Class ProgressUtil.Stage

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.ProgressUtil.Stage

Enclosing class:
  ProgressUtil

    public static class ProgressUtil.Stage
    extends java.lang.Object

Represents one stage of the whole process with a name and relative length called "weight". Knowing all stages in advance helps calculate their ticks for `IProgressMonitor` (this process is called layout here).

### Constructor Summary

Constructors
Constructor and Description
`Stage(java.lang.String name, float weight)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IProgressMonitor` `createSubMonitor(ProgressUtil.MonitorWrapper monitorWrapper)`
`ProgressUtil.MonitorWrapper` `createSubMonitorWrapper(ProgressUtil.MonitorWrapper monitorWrapper)`
`void` `finish(ProgressUtil.MonitorWrapper monitorWrapper)`
`void` `start(ProgressUtil.MonitorWrapper monitorWrapper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Stage

    public Stage(java.lang.String name,
                 float weight)

### Method Detail

#### start

    public void start(ProgressUtil.MonitorWrapper monitorWrapper)

#### finish

    public void finish(ProgressUtil.MonitorWrapper monitorWrapper)

#### createSubMonitorWrapper

    public ProgressUtil.MonitorWrapper createSubMonitorWrapper(ProgressUtil.MonitorWrapper monitorWrapper)

#### createSubMonitor

    public IProgressMonitor createSubMonitor(ProgressUtil.MonitorWrapper monitorWrapper)